document.getElementById('decisionForm').addEventListener('submit', function(e) {
  e.preventDefault();
  
  // Get input values
  const phdSatisfaction = parseInt(document.getElementById('phdSatisfaction').value);
  const ofPotential = parseInt(document.getElementById('ofPotential').value);
  const financialNeed = parseInt(document.getElementById('financialNeed').value);
  const riskTolerance = parseInt(document.getElementById('riskTolerance').value);
  
  // Calculate scores
  const phdScore = phdSatisfaction * 2 + (10 - financialNeed) + (10 - riskTolerance);
  const ofScore = ofPotential * 2 + financialNeed + riskTolerance;
  
  // Determine result
  const result = document.getElementById('decisionText');
  if (phdScore > ofScore) {
    result.textContent = "You should probably stick with your PhD!";
  } else if (ofScore > phdScore) {
    result.textContent = "OnlyFans might be the right path for you!";
  } else {
    result.textContent = "It's a tie! You might want to consider both options.";
  }
  
  // Show result
  document.getElementById('result').style.display = 'block';
});